%define upstream_name    Dist-Zilla-Plugin-CompileTests
%define upstream_version 1.110930

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Common tests to check syntax of your modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(Moose)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* t/00-compile.t - a standard test to check syntax of bundled modules

This test will find all modules and scripts in your dist, and try to
compile them one by one. This means it's a bit slower than loading them all
at once, but it will catch more errors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 1.110.930-1mdv2011.0
+ Revision: 653523
- update to new version 1.110930

* Sun Mar 06 2011 Sandro Cazzaniga <kharec@mandriva.org> 1.103.30-1
+ Revision: 642297
- add a BR on Module::Build

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.103030

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.800-1mdv2011.0
+ Revision: 554232
- adding min version in buildrequires:
- update to 1.101800

* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.740-1mdv2010.1
+ Revision: 521615
- update to 1.100740

* Fri Jan 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.220-1mdv2010.1
+ Revision: 494994
- update to 1.100220

* Mon Jan 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.160-1mdv2010.1
+ Revision: 492952
- update to 1.100160

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.870-1mdv2010.1
+ Revision: 461274
- update to 1.092870

* Fri Sep 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.460-1mdv2010.0
+ Revision: 430463
- update to 1.092460

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.370-1mdv2010.0
+ Revision: 422884
- update to 1.092370

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 414947
- update to 0.1.3

* Sat Aug 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.1.2-1mdv2010.0
+ Revision: 411695
- import perl-Dist-Zilla-Plugin-CompileTests


* Sat Aug 08 2009 cpan2dist 0.1.2-1mdv
- initial mdv release, generated with cpan2dist
